#############################################################################
# Makefile for building: requetes
# Generated by qmake (2.01a) (Qt 4.6.0) on: dim. 20. janv. 11:47:46 2013
# Project:  requetes.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_DLL -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_THREAD_SUPPORT -DQT_NEEDS_QMAIN
CFLAGS        = -g -Wall $(DEFINES)
CXXFLAGS      = -g -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I"..\..\..\Qt\2009.05\qt\include\QtCore" -I"..\..\..\Qt\2009.05\qt\include\QtGui" -I"..\..\..\Qt\2009.05\qt\include\QtSql" -I"..\..\..\Qt\2009.05\qt\include" -I"." -I"..\..\..\Qt\2009.05\qt\include\ActiveQt" -I"moc" -I"ui" -I"..\..\..\Qt\2009.05\qt\mkspecs\win32-g++"
LINK        =        g++
LFLAGS        =        -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -mthreads -Wl -Wl,-subsystem,windows
LIBS        =        -L"c:\Qt\2009.05\qt\lib" -lmingw32 -lqtmaind -lQtSqld4 -lQtGuid4 -lQtCored4 -LC:\mysql-5.1.41-win32\lib\opt -lmysql 
QMAKE         = c:\Qt\2009.05\qt\bin\qmake.exe
IDC           = c:\Qt\2009.05\qt\bin\idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = o

####### Files

SOURCES       = connexion.cpp \
		delegate.cpp \
		main.cpp \
		mainwindow.cpp \
		mdp.cpp \
		requetes.cpp \
		result.cpp \
		searchinblobs.cpp \
		edit.cpp \
		tools.cpp moc\moc_connexion.cpp \
		moc\moc_delegate.cpp \
		moc\moc_mainwindow.cpp \
		moc\moc_mdp.cpp \
		moc\moc_requetes.cpp \
		moc\moc_result.cpp \
		moc\moc_searchinblobs.cpp \
		moc\moc_edit.cpp
OBJECTS       = o/connexion.o \
		o/delegate.o \
		o/main.o \
		o/mainwindow.o \
		o/mdp.o \
		o/requetes.o \
		o/result.o \
		o/searchinblobs.o \
		o/edit.o \
		o/tools.o \
		o/moc_connexion.o \
		o/moc_delegate.o \
		o/moc_mainwindow.o \
		o/moc_mdp.o \
		o/moc_requetes.o \
		o/moc_result.o \
		o/moc_searchinblobs.o \
		o/moc_edit.o
DIST          = 
QMAKE_TARGET  = requetes
DESTDIR        = bin\ #avoid trailing-slash linebreak
TARGET         = requetes.exe
DESTDIR_TARGET = bin\requetes.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.Debug  $(DESTDIR_TARGET)

$(DESTDIR_TARGET): ui/ui_mainwindow.h ui/ui_mdpdialog.h ui/ui_requete.h ui/ui_resultdialog.h ui/ui_searchinblobs.h ui/ui_edit.h $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) object_script.requetes.Debug  $(LIBS)


qmake:  FORCE
	@$(QMAKE) -win32 -o Makefile.Debug requetes.pro

dist:
	$(ZIP) requetes.zip $(SOURCES) $(DIST) requetes.pro ..\..\..\Qt\2009.05\qt\mkspecs\qconfig.pri ..\..\..\Qt\2009.05\qt\mkspecs\features\qt_functions.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\qt_config.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\exclusive_builds.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\default_pre.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\win32\default_pre.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\debug.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\debug_and_release.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\default_post.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\win32\default_post.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\build_pass.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\win32\rtti.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\win32\exceptions.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\win32\stl.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\shared.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\warn_on.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\qt.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\win32\thread.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\moc.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\win32\windows.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\resources.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\uic.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\yacc.prf ..\..\..\Qt\2009.05\qt\mkspecs\features\lex.prf c:\Qt\2009.05\qt\lib\qtmaind.prl  HEADERS RESOURCES IMAGES SOURCES OBJECTIVE_SOURCES FORMS YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) o\connexion.o o\delegate.o o\main.o o\mainwindow.o o\mdp.o o\requetes.o o\result.o o\searchinblobs.o o\edit.o o\tools.o o\moc_connexion.o o\moc_delegate.o o\moc_mainwindow.o o\moc_mdp.o o\moc_requetes.o o\moc_result.o o\moc_searchinblobs.o o\moc_edit.o

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Debug

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_connexion.cpp moc/moc_delegate.cpp moc/moc_mainwindow.cpp moc/moc_mdp.cpp moc/moc_requetes.cpp moc/moc_result.cpp moc/moc_searchinblobs.cpp moc/moc_edit.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc\moc_connexion.cpp moc\moc_delegate.cpp moc\moc_mainwindow.cpp moc\moc_mdp.cpp moc\moc_requetes.cpp moc\moc_result.cpp moc\moc_searchinblobs.cpp moc\moc_edit.cpp
moc/moc_connexion.cpp: connexion.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 connexion.h -o moc\moc_connexion.cpp

moc/moc_delegate.cpp: delegate.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 delegate.h -o moc\moc_delegate.cpp

moc/moc_mainwindow.cpp: ui/ui_mainwindow.h \
		mainwindow.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 mainwindow.h -o moc\moc_mainwindow.cpp

moc/moc_mdp.cpp: ui/ui_mdpdialog.h \
		mdp.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 mdp.h -o moc\moc_mdp.cpp

moc/moc_requetes.cpp: ui/ui_requete.h \
		requetes.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 requetes.h -o moc\moc_requetes.cpp

moc/moc_result.cpp: ui/ui_resultdialog.h \
		result.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 result.h -o moc\moc_result.cpp

moc/moc_searchinblobs.cpp: ui/ui_searchinblobs.h \
		searchinblobs.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 searchinblobs.h -o moc\moc_searchinblobs.cpp

moc/moc_edit.cpp: ui/ui_edit.h \
		edit.h
	C:/Qt/2009.05/qt/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 edit.h -o moc\moc_edit.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui/ui_mainwindow.h ui/ui_mdpdialog.h ui/ui_requete.h ui/ui_resultdialog.h ui/ui_searchinblobs.h ui/ui_edit.h
compiler_uic_clean:
	-$(DEL_FILE) ui\ui_mainwindow.h ui\ui_mdpdialog.h ui\ui_requete.h ui\ui_resultdialog.h ui\ui_searchinblobs.h ui\ui_edit.h
ui/ui_mainwindow.h: mainwindow.ui
	c:\Qt\2009.05\qt\bin\uic.exe mainwindow.ui -o ui\ui_mainwindow.h

ui/ui_mdpdialog.h: mdpdialog.ui
	c:\Qt\2009.05\qt\bin\uic.exe mdpdialog.ui -o ui\ui_mdpdialog.h

ui/ui_requete.h: requete.ui
	c:\Qt\2009.05\qt\bin\uic.exe requete.ui -o ui\ui_requete.h

ui/ui_resultdialog.h: resultdialog.ui
	c:\Qt\2009.05\qt\bin\uic.exe resultdialog.ui -o ui\ui_resultdialog.h

ui/ui_searchinblobs.h: searchinblobs.ui
	c:\Qt\2009.05\qt\bin\uic.exe searchinblobs.ui -o ui\ui_searchinblobs.h

ui/ui_edit.h: edit.ui
	c:\Qt\2009.05\qt\bin\uic.exe edit.ui -o ui\ui_edit.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 



####### Compile

o/connexion.o: connexion.cpp connexion.h \
		mdp.h \
		ui/ui_mdpdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\connexion.o connexion.cpp

o/delegate.o: delegate.cpp delegate.h \
		constants.h \
		tools.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\delegate.o delegate.cpp

o/main.o: main.cpp mainwindow.h \
		ui/ui_mainwindow.h \
		connexion.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\main.o main.cpp

o/mainwindow.o: mainwindow.cpp mainwindow.h \
		ui/ui_mainwindow.h \
		requetes.h \
		ui/ui_requete.h \
		searchinblobs.h \
		ui/ui_searchinblobs.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\mainwindow.o mainwindow.cpp

o/mdp.o: mdp.cpp mdp.h \
		ui/ui_mdpdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\mdp.o mdp.cpp

o/requetes.o: requetes.cpp requetes.h \
		ui/ui_requete.h \
		edit.h \
		ui/ui_edit.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\requetes.o requetes.cpp

o/result.o: result.cpp result.h \
		ui/ui_resultdialog.h \
		constants.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\result.o result.cpp

o/searchinblobs.o: searchinblobs.cpp searchinblobs.h \
		ui/ui_searchinblobs.h \
		constants.h \
		delegate.h \
		tools.h \
		result.h \
		ui/ui_resultdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\searchinblobs.o searchinblobs.cpp

o/edit.o: edit.cpp edit.h \
		ui/ui_edit.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\edit.o edit.cpp

o/tools.o: tools.cpp tools.h \
		constants.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\tools.o tools.cpp

o/moc_connexion.o: moc/moc_connexion.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_connexion.o moc\moc_connexion.cpp

o/moc_delegate.o: moc/moc_delegate.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_delegate.o moc\moc_delegate.cpp

o/moc_mainwindow.o: moc/moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_mainwindow.o moc\moc_mainwindow.cpp

o/moc_mdp.o: moc/moc_mdp.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_mdp.o moc\moc_mdp.cpp

o/moc_requetes.o: moc/moc_requetes.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_requetes.o moc\moc_requetes.cpp

o/moc_result.o: moc/moc_result.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_result.o moc\moc_result.cpp

o/moc_searchinblobs.o: moc/moc_searchinblobs.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_searchinblobs.o moc\moc_searchinblobs.cpp

o/moc_edit.o: moc/moc_edit.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o o\moc_edit.o moc\moc_edit.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

